<!-- <script setup lang="ts">
import { $getWechat } from '@/commons/utils';
import { onMounted, ref } from 'vue';

defineProps<{
    imageUrls: Record<string, string>
    tick: number
    rank: number
}>()

defineEmits<{
    showRank: []
    replay: []
    back: []
}>()
const nickname = ref('');
const avatar = ref('');
onMounted(() => {
    const wechat = $getWechat();
    nickname.value = wechat.nickname;
    avatar.value = wechat.avatar;
});
</script>

<template>
    <div class="h5-page game-stage">
        <div class="img-logo"></div>
    </div>
</template>

<style scoped>
.game-stage {
    position: absolute;
    width: 750px;
    height: 1624px;
    padding: 0;
}

.img-logo {
    position: absolute;
    top: 66px;
    left: 50%;
    width: 428px;
    height: 77px;
    background: v-bind('imageUrls.logo') center/cover;
    transform: translateX(-50%);
}

</style> -->
